# Bank Account Validation

The Bank Accounts Validation API allows you to verify if a bank account is not only valid, but also if it exists and can receive funds.

We do this by using the same algorithm the banks use to create and validate the accounts and by making a *micro-deposit* that verifies the account exists and is able to receive funds.

{% hint style="success" %}
Check with your Account Manager regarding the availability of this API on the banks you require
{% endhint %}

See how to integrate to the Bank Account Validation API by clicking below:<br>

{% content-ref url="/pages/6Y9tcLS2czxBN2SRJ1gh" %}
[Bank Account Validation Endpoint](/api-documentation/bank-account-validation/endpoints/bank-account-validation-endpoint.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-documentation/bank-account-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
